
exports.seed = async function(knex, Promise) {
    // Deletes ALL existing entries
    await knex('messages_events').del();
    // Inserts seed entries
    const events = [{
        title : "Fête de la lune",
        content : "La fête de la lune, c'est bientôt dans le grand hall !",
        location: "Grand Hall",
        start_time : knex.fn.now(),
        end_time: knex.fn.now(),
        authors: ['x-chine']
    },{
        title: "Perm BR du mardi soir",
        content: "La perm' BR c'est maintenant!",
        location: "Amphi Sauvy",
        start_time: knex.fn.now(),
        end_time: knex.fn.now(),
        authors: ['br']
    },{
        title: "Formation Git",
        content: "Aujourd'hui, on va parler du système de contrôle de versions Git, qui est particulièrement utile pour travailler à plusieurs sur des projets informatiques: PSC, code de PI ou de projet de MAP, site binet, quoi que ce soit!",
        location: "Amphi Painlevé",
        start_time: knex.fn.now(),
        end_time: knex.fn.now(),
        authors: ['br']
    },{
        title: "Formation Web",
        content: "Envie d'apprendre à faire un site Web en Django ? Alors viens en amphi Sauvy ce jeudi à 20h !",
        location: "Amphi Painlevé",
        start_time: knex.fn.now(),
        end_time: knex.fn.now(),
        authors: ['br']
    }
    ];

    for(let event of events){
        let mid = (await knex('messages_events').insert({title:event.title,
            content:event.content,
            location:event.location,
            start_time:event.start_time,
            end_time: event.end_time}, ["mid"]))[0].mid;
        if (event.authors)
            await knex('events_authors').insert(event.authors.map(obj => ({mid:mid, gid:obj})));
        if (event.recipients)
            await knex('events_arecipients').insert(event.recipients.map(obj => ({mid:mid, gid:obj})));
    }
    console.log("finished running 05_dummy_events");
    return;
};
